function drcd --description "Drush Change directory"
  if test "$argv" = ""
    return
  end
  set first (expr substr $argv[1] 1 1)
  if test "$first" = "@"
    set d (drush drupal-directory $argv[1] 2>/dev/null)
    set h (drush sa $argv[1] --fields='remote-host' --format=list 2>/dev/null)
    if test "$h" = ""
      builtin cd $d
    else
      ssh -t ts1 "cd $d ; exec $SHELL -l"
    end
  end
end
